GRUB-FSTEST(1)

NAVN
grub-fstest - debug tool for GRUB filesystem drivers

OVERSIKT
grub-fstest [VALG...] BILDE-STI KOMMANDOER

BESKRIVELSE
Feilsøkingsverktøy for filsystem-driver.

    Kommandoer:

blocklist FIL
    Vis blokkliste av valgt FIL.

cat FIL
    Kopier valgt FIL til standardutdata.

cmp FIL LOKAL
    Sammenlikn FIL med valgt LOKAL fil.

cp FIL LOKAL
    Kopier FIL til valgt LOKAL fil.

crc FIL
    Beregn crc32-kontrollsum av valgt FIL.

hex FIL
    Vis innhold i valgt FIL i heksadesimal form.

ls STI
    Vis filer på valgt STI.

xnu_uuid ENHET
    Lag XNU-UUID for valgt enhet.

-c, --diskcount=ANTALL
    Velg antall inndatafiler.

-C, --crypto
    Monter krypterte enheter.

-d, --debug=STRENG
    Gi miljøvariabelen for feilsøking («debug») en verdi.

-K, --zfs-key=FIL|ledetekst
    Last inn zfs-krypteringsnøkkel.

-n, --length=N
    Håndter N antall byte i utdatafil.

-r, --root=DEVICE_NAME
    Velg rotenhet.

-s, --skip=N
    Hopp over N byte i utdatafil.

-u, --uncompress
    Pakk ut data.

-v, --verbose
    skriv ut detaljerte meldinger

-?, --help
    vis denne hjelpelista

--usage
    vis en kortfattet bruksanvisning

-V, --version
    skriv ut programversjon

Valg er enten obligatoriske både for fullstendige valg og tilsvarende forkortede valg.

SE OGSÅ
grub-probe(8)

Den fullstendige dokumentasjonen for grub-fstest opprettholdes som en Texinfo manual. Dersom info og grub-fstest programmene er riktig installert på ditt sted burde kommandoen

    info grub-fstest

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.